package digital.laboratory.platform.entrustment.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fasterxml.jackson.core.JsonProcessingException;
import digital.laboratory.platform.othersys.dto.EntrustQueryParams;
import digital.laboratory.platform.entrustment.entity.EntrustOfThirdSys;
import digital.laboratory.platform.entrustment.entity.Entrustment;
import digital.laboratory.platform.othersys.vo.SynConnInfoVo;

/**
 * @ClassName SynchronizeDataService
 * @Description 第三方数据同步服务
 * @Author xy
 * @Date 2023/6/13 11:00
 * @Version 1.0
 **/
public interface SynchronizeDataService extends IService<EntrustOfThirdSys>{
    //从大数据平台同步已经受理的数据
    Boolean synAcceptedEntrustDataToMyServer(EntrustQueryParams queryParams);

    void addEntrustThirdSys(EntrustOfThirdSys entrustOfThirdSys);
    void updateEntrustThirdSys(EntrustOfThirdSys entrustOfThirdSys);

    // 获取系统配置
    SynConnInfoVo getSysSynConnInfo();

    // 获取token 信息
    String getTokenInfo(String whoUse, SynConnInfoVo synConnInfoVo);

    //获取禁毒系统的委托数据通过主系统的委托ID
    EntrustOfThirdSys getThirdSysEntrustByMainId(String entrustMainId);
    //审核
    public Boolean auditEntrustByProvinceOrCenter(String userFlag,String dataPath,String thirdSysEntrustID ,String result,
                                                  String reMark,String auditOrAccept);
    //受理委托
    Boolean subCenterAccept(String dataPath, Entrustment selfEntrust, EntrustOfThirdSys thirdSysEntrust) throws JsonProcessingException;
    //同步委托数据
    Boolean synEntrustDataToMyServer(String entrustStatus,String userFlag);
    //提交鉴定结果
    Boolean submitIdentifyResult(String dataPath,String entrustId);


}
